/* ficharevista.cpp - Definiciones de los métodos
 * de la clase CFichaRevista
 */
#include "ficharevista.h" // clase CFichaRevista
using namespace std;

/////////////////////////////////////////////////////////////////
// Constructor
CFichaRevista::CFichaRevista(string ref, string tit, int nroderev,
  int anyo) : CFicha(ref, tit), NroDeRevista(nroderev), Anyo(anyo)
{
}

void CFichaRevista::AsignarNroDeRevista(int nroderev)
{
  NroDeRevista = nroderev;
}

int CFichaRevista::ObtenerNroDeRevista() const
{
  return NroDeRevista;
}

void CFichaRevista::AsignarAnyo(int anyo)
{
  Anyo = anyo;
}

int CFichaRevista::ObtenerAnyo() const
{
  return Anyo;
}

CFichaRevista *CFichaRevista::Clonar()
{
  return new CFichaRevista(*this);
}
/////////////////////////////////////////////////////////////////
